package com.brilliance.isc.swift.objmtconvert.model.mt7xx.tag.tag708;

import com.brilliance.isc.swift.objmtconvert.model.AbsMTCreator;
import com.brilliance.isc.swift.objmtconvert.model.AbsTagCreate;
import com.brilliance.isc.swift.objmtconvert.model.mt7xx.MT708Creator;

/**
 * @author wuzhe
 * @date 2023/2/27
 */
public class Tag20Creator extends AbsTagCreate {

     private MT708Creator mt708Creator;

    public Tag20Creator(AbsMTCreator absMTCreator)
    {
        super(absMTCreator);
        this.mt708Creator= (MT708Creator) absMTCreator;
    }

    public  void creator()
    {
        String tag20Value = mt708Creator.getSenderReference();
        mt708Creator.set("20", tag20Value);
    }
}
